#!/usr/bin/env python
# -*- coding: iso-8859-15 -*-
# generated by wxGlade 0.6.5 on Tue Nov 26 01:54:25 2013

import wx

# begin wxGlade: extracode
from numpy import arange, sin, pi
import matplotlib
matplotlib.use('WXAgg')
from matplotlib.backends.backend_wxagg import FigureCanvasWxAgg as FigureCanvas
from matplotlib.backends.backend_wx import NavigationToolbar2Wx
from matplotlib.figure import Figure   # http://matplotlib.org/api/figure_api.html#module-matplotlib.figure
# end wxGlade


class MyFrame(wx.Frame):
    def __init__(self, *args, **kwds):
        # begin wxGlade: MyFrame.__init__
        kwds["style"] = wx.DEFAULT_FRAME_STYLE
        wx.Frame.__init__(self, *args, **kwds)
        self.slider_1 = wx.Slider(self, -1, 100, 0, 10000, style=wx.SL_VERTICAL | wx.SL_AUTOTICKS)
    #---custom widget as a canvas for figure
        self.figure = Figure()
        self.axes = self.figure.add_subplot(111)
        self.canvas_1 = FigureCanvas(self, -1, self.figure) # custom widget 1
    #---custom widget as a toolbar for figure
        self.toolbar_1 = NavigationToolbar2Wx(self.canvas_1) # custom widget 2

    #---initial drawing
        t = arange(0.0, 2*pi, 0.0001)
        omega=self.slider_1.GetValue()/100.
        y = sin(omega * t)
        self.axes.cla()
        self.axes.plot(t, y)
        self.axes.set_title('y=sin('+str(omega)+' * t)')
        self.axes.set_xlabel('t [sec]')
        self.axes.set_ylabel('y [/]')
        self.axes.grid()
        self.canvas_1.draw()
    #---end initial drawing
        self.__set_properties()
        self.__do_layout()

        self.Bind(wx.EVT_COMMAND_SCROLL, self.scroll_slider_1, self.slider_1)
        # end wxGlade

    def __set_properties(self):
        # begin wxGlade: MyFrame.__set_properties
        self.SetTitle("frame_1")
        self.SetSize((547, 300))
        self.slider_1.SetMinSize((32, 300))
        self.canvas_1.SetMinSize((489, 250))
        self.toolbar_1.SetMinSize((489,50))
        # end wxGlade

    def __do_layout(self):
        # begin wxGlade: MyFrame.__do_layout
        sizer_1 = wx.BoxSizer(wx.VERTICAL)
        sizer_2 = wx.BoxSizer(wx.HORIZONTAL)
        sizer_3 = wx.BoxSizer(wx.HORIZONTAL)
        sizer_4 = wx.BoxSizer(wx.VERTICAL)
        sizer_2.Add(self.slider_1, 0, wx.ALL | wx.EXPAND, 0)
        sizer_4.Add(self.canvas_1, 1, wx.ALL | wx.EXPAND, 0)
        sizer_4.Add(self.toolbar_1, 0, wx.ALL | wx.EXPAND, 0)
        sizer_3.Add(sizer_4, 1, wx.EXPAND, 0)
        sizer_2.Add(sizer_3, 1, wx.EXPAND, 0)
        sizer_1.Add(sizer_2, 1, wx.EXPAND, 0)
        self.SetSizer(sizer_1)
        self.Layout()
        self.SetSize((547, 363))
        # end wxGlade

    def scroll_slider_1(self, event):  # wxGlade: MyFrame.<event_handler>
        t = arange(0.0, 2*pi, 0.0001)
        omega=self.slider_1.GetValue()/100.
        y = sin(omega * t)
        self.axes.cla()
        self.axes.plot(t, y)
        self.axes.set_title('y=sin('+str(omega)+' * t)')
        self.axes.set_xlabel('t [sec]')
        self.axes.set_ylabel('y [/]')
        self.axes.grid()
        self.canvas_1.draw()
##        event.Skip()

# end of class MyFrame
if __name__ == "__main__":
    app = wx.PySimpleApp(0)
    wx.InitAllImageHandlers()
    frame_1 = MyFrame(None, -1, "")
    app.SetTopWindow(frame_1)
    frame_1.Show()
    app.MainLoop()
